/**
 * Check if a value is a dynamic column reference node.
 * @param {*} value The value to check.
 * @returns {value is ColumnParamNode}
 */
export function isColumnParam(value: any): value is ColumnParamNode;
export class ColumnParamNode extends ColumnRefNode {
    /**
     * Instantiate a column param node.
     * @param {ParamNode} param The column name as a parameter node.
     * @param {TableRefNode} [table] The table reference.
     */
    constructor(param: ParamNode, table?: TableRefNode);
    /**
     * The column name as a parameter node.
     * @type {ParamNode}
     * @readonly
     */
    readonly param: ParamNode;
}
import { ColumnRefNode } from './column-ref.js';
import type { ParamNode } from './param.js';
import type { TableRefNode } from './table-ref.js';
