export class ParamNode extends ExprNode {
    /**
     * Instantiate a param node with a dynamic parameter.
     * @param {ParamLike} param The dynamic parameter.
     */
    constructor(param: ParamLike);
    /**
     * The dynamic parameter.
     * @type {ParamLike}
     * @readonly
     */
    readonly param: ParamLike;
    /**
     * Returns the current parameter value.
     * @returns {*}
     */
    get value(): any;
}
import { ExprNode } from './node.js';
import type { ParamLike } from '../types.js';
