/**
 * Create a new conditional CASE statement. If three arguments are provided,
 * acts like a ternary conditional (if, then, else). If no arguments are
 * provided, the chained `when` and `else` methods can be used to to complete
 * a conditional statement with WHEN/THEN and ELSE expressions.
 * @param {ExprValue} [when] A conditional WHEN expression.
 * @param {ExprValue} [then] A THEN value expression.
 * @param {ExprValue} [other] An ELSE expression.
 * @returns {CaseNode}
 */
export function cond(when?: ExprValue, then?: ExprValue, other?: ExprValue): CaseNode;
import type { ExprValue } from '../types.js';
import { CaseNode } from '../ast/case.js';
