/**
 * Create a column reference.
 * @param {string | ParamLike} name The column name,
 *  as a string or as a dynamic parameter.
 * @param {string | string[] | TableRefNode} [table] The table reference.
 * @returns {ColumnRefNode}
 */
export function column(name: string | ParamLike, table?: string | string[] | TableRefNode): ColumnRefNode;
import type { ParamLike } from '../types.js';
import type { TableRefNode } from '../ast/table-ref.js';
import type { ColumnRefNode } from '../ast/column-ref.js';
