/**
 * Indicate ascending sort order for an expression.
 * @param {ExprValue} expr An expression to order by.
 * @param {boolean | undefined} [nullsFirst] Flag indicating if null values
 *  should be sorted first.
 * @returns {OrderByNode}
 */
export function asc(expr: ExprValue, nullsFirst?: boolean | undefined): OrderByNode;
/**
 * Indicate descending sort order for an expression.
 * @param {ExprValue} expr An expression to order by.
 * @param {boolean | undefined} [nullsFirst] Flag indicating if null values
 *  should be sorted first.
 * @returns {OrderByNode}
 */
export function desc(expr: ExprValue, nullsFirst?: boolean | undefined): OrderByNode;
import type { ExprValue } from '../types.js';
import { OrderByNode } from '../ast/order-by.js';
