/**
 * @typedef { ExprNode | ParamLike | string | number | boolean | Date } TemplateValue
 */
/**
 * Template tag function for SQL fragments. Interpolated values
 * may be strings, other SQL expression objects (such as column
 * references), primitive values, or dynamic parameters.
 * @param {TemplateStringsArray} strings Template string constants.
 * @param {...TemplateValue} exprs Template expression values.
 */
export function sql(strings: TemplateStringsArray, ...exprs: TemplateValue[]): FragmentNode;
export type TemplateValue = ExprNode | ParamLike | string | number | boolean | Date;
import { FragmentNode } from '../ast/fragment.js';
import type { ExprNode } from '../ast/node.js';
import type { ParamLike } from '../types.js';
