/**
 * Compute binned values over a one-dimensional extent.
 * @param {ExprValue} x The expression to bin.
 *  The expression must return numeric values. For example, to bin
 *  datetime values, the input expression might map them to numeric
 *  values such as milliseconds since the epoch.
 * @param {number} lo The low value of the bin extent.
 * @param {number} hi The high value of the bin extent.
 * @param {number} bins The integer number of bins to use within the
 *  defined binning extent.
 * @param {boolean} [reverse] Flag indicating if bins should be
 *  produced in reverse order from *hi* to *lo* (default `false`).
 */
export function bin1d(x: ExprValue, lo: number, hi: number, bins: number, reverse?: boolean): import("../index.js").BinaryOpNode;
import type { ExprValue } from '../types.js';
