/**
 * Perform linear binning in one dimension.
 * @param {SelectQuery} query The base query to bin.
 * @param {ExprValue} x The expression to bin.
 * @param {ExprValue} [weight] The expression to weight by.
 * @param {string[]} [groupby] Group by expressions.
 * @returns {Query}
 */
export function binLinear1d(query: SelectQuery, x: ExprValue, weight?: ExprValue, groupby?: string[]): Query;
import type { SelectQuery } from '../ast/query.js';
import type { ExprValue } from '../types.js';
import { Query } from '../ast/query.js';
