/**
 * Determine a time interval for binning based on provided min
 * and max timestamps and approximate step count.
 * @param {Date|number} min The minimum timestamp value.
 * @param {Date|number} max The maximum timestamp value.
 * @param {number} steps The approximate number of bins desired.
 * @returns {{ unit: TimeUnit, step: number }}
 */
export function timeInterval(min: Date | number, max: Date | number, steps: number): {
    unit: TimeUnit;
    step: number;
};
import type { TimeUnit } from '../../types.js';
