/**
 * Rewrite a SQL expression, based on a map of nodes to replace.
 * This method copies nodes as needed; it does not modify the input node.
 * @param {ExprNode} node The root AST node of the expression.
 * @param {Map<ExprNode, ExprNode>} map The rewrite map.
 *  When encountered, key nodes are replaced by value nodes.
 * @returns {ExprNode}
 */
export function rewrite(node: ExprNode, map: Map<ExprNode, ExprNode>): ExprNode;
import type { ExprNode } from '../ast/node.js';
